Index: /trunk/MagicSoft/Mars/Changelog
===================================================================
--- /trunk/MagicSoft/Mars/Changelog	(revision 8057)
+++ /trunk/MagicSoft/Mars/Changelog	(revision 8058)
@@ -18,4 +18,18 @@
 
                                                  -*-*- END OF LINE -*-*-
+ 2006/10/12 Daniela Dorner
+
+   * datacenter/tools:
+     - added (directory for tools not used regulary)
+
+   * datacenter/tools/findnotanymoresequencedruns, 
+     datacenter/tools/comparesequences:
+     - added (scripts for sequence building tests)
+
+   * datacenter/scripts/dunotseqruns:
+     - added (script to check disk usage of not sequenced runs)
+
+
+
  2006/10/11
 
Index: /trunk/MagicSoft/Mars/datacenter/scripts/checklogs
===================================================================
--- /trunk/MagicSoft/Mars/datacenter/scripts/checklogs	(revision 8057)
+++ /trunk/MagicSoft/Mars/datacenter/scripts/checklogs	(revision 8058)
@@ -25,14 +25,6 @@
 # ========================================================================
 #
-# This script is removing lock files which are older than 12 hours. 
-# 
-# Each process in the automatic analysis is writing a lock file. As these 
-# processes are launched with condor, they are stopped after 12 hours, if 
-# they are still running. In this case the lock files are not removed. 
-# 
-# By comparing the date of the lock file and the current date, the 
-# running time of a process is determined and if it is bigger than 12 
-# hours (which means that the process has been already kill by condor) the 
-# lock file is removed
+# This script checks, if there are WARNs or ERRORs in the processlog of 
+# the last night and sends them to the emailadresse(s) in $erradr
 #
 
Index: /trunk/MagicSoft/Mars/datacenter/scripts/dunotseqruns
===================================================================
--- /trunk/MagicSoft/Mars/datacenter/scripts/dunotseqruns	(revision 8058)
+++ /trunk/MagicSoft/Mars/datacenter/scripts/dunotseqruns	(revision 8058)
@@ -0,0 +1,23 @@
+#!/bin/sh
+#
+
+query="select concat('/magic/data/rawfiles', Date_Format(adddate(fRunStart, interval 12 HOUR), '/%Y/%m/%d/'),'*', fRunNumber, '*.raw.gz')  from RunData where fSequenceFirst='0' and fRunStart > '2004-08-20'"
+
+files=`mysql -u MAGIC --host=hercules --password=d99swMT! MyMagic -s -e " $query"`
+
+sum=0
+
+for file in $files
+do 
+   name=`basename $file`
+   dir=`dirname $file`
+   num=`find $dir -name $name -printf '%k '`
+   if [ "$num" = "" ]
+   then
+      echo "num is empty for $file"
+      continue
+   fi
+   sum=`expr $sum + $num`
+done
+echo $sum
+
Index: /trunk/MagicSoft/Mars/datacenter/tools/comparesequences
===================================================================
--- /trunk/MagicSoft/Mars/datacenter/tools/comparesequences	(revision 8058)
+++ /trunk/MagicSoft/Mars/datacenter/tools/comparesequences	(revision 8058)
@@ -0,0 +1,57 @@
+#!/bin/sh
+#
+# ========================================================================
+#
+# *
+# * This file is part of MARS, the MAGIC Analysis and Reconstruction
+# * Software. It is distributed to you in the hope that it can be a useful
+# * and timesaving tool in analysing Data of imaging Cerenkov telescopes.
+# * It is distributed WITHOUT ANY WARRANTY.
+# *
+# * Permission to use, copy, modify and distribute this software and its
+# * documentation for any purpose is hereby granted without fee,
+# * provided that the above copyright notice appear in all copies and
+# * that both that copyright notice and this permission notice appear
+# * in supporting documentation. It is provided "as is" without express
+# * or implied warranty.
+# *
+#
+#
+#   Author(s): Daniela Dorner  05/2005 <mailto:dorner@astro.uni-wuerzburg.de>
+#
+#   Copyright: MAGIC Software Development, 2000-2006
+#
+#
+# ========================================================================
+#
+
+date=`date +.%Y.%m.%d.%H.%M.%S`
+olddb=MyMagic
+newdb=TestSequ2
+pw=d99swMT!
+host=hercules
+
+query="select fRunNumber from RunData where fRunNumber > 32000";
+runs=`mysql -s -u MAGIC --password=$pw --host=$host MyMagic -e " $query "`
+
+for run in $runs
+do 
+   query="select fSequenceFirst from RunData where fRunNumber=$run"
+   s1=`mysql -s -u MAGIC --password=$pw --host=$host $olddb -e " $query "`
+   s2=`mysql -s -u test  --password=Ics+eaTD --host=$host $newdb -e " $query "`
+   if [ $s1 -eq 0 ] && [ $s2 -eq 0 ]
+   then 
+      continue
+   fi
+   if [ $s1 -eq $s2 ]
+   then 
+      continue
+   fi
+   echo "run: $run sequ#: $s1 -> $s2"
+   echo "run: $run sequ#: $s1 -> $s2" >> sequ.changes$date
+   if [ $s2 -eq 0 ]
+   then 
+      echo "run: $run sequ#: $s1 -> $s2" >> not-sequenced.anymore$date
+   fi
+done
+
Index: /trunk/MagicSoft/Mars/datacenter/tools/findnotanymoresequencedruns
===================================================================
--- /trunk/MagicSoft/Mars/datacenter/tools/findnotanymoresequencedruns	(revision 8058)
+++ /trunk/MagicSoft/Mars/datacenter/tools/findnotanymoresequencedruns	(revision 8058)
@@ -0,0 +1,47 @@
+#!/bin/sh
+#
+# ========================================================================
+#
+# *
+# * This file is part of MARS, the MAGIC Analysis and Reconstruction
+# * Software. It is distributed to you in the hope that it can be a useful
+# * and timesaving tool in analysing Data of imaging Cerenkov telescopes.
+# * It is distributed WITHOUT ANY WARRANTY.
+# *
+# * Permission to use, copy, modify and distribute this software and its
+# * documentation for any purpose is hereby granted without fee,
+# * provided that the above copyright notice appear in all copies and
+# * that both that copyright notice and this permission notice appear
+# * in supporting documentation. It is provided "as is" without express
+# * or implied warranty.
+# *
+#
+#
+#   Author(s): Daniela Dorner  05/2005 <mailto:dorner@astro.uni-wuerzburg.de>
+#
+#   Copyright: MAGIC Software Development, 2000-2006
+#
+#
+# ========================================================================
+#
+# This a resource file for the scripts, in which the standard paths and 
+# functions, which are needed more often are stored. 
+#
+
+olds=0
+cnt=0
+sequences=`cat /home/bla/not-sequenced.anymore.2006.10.06.19.20.34 | cut -c 19-23`
+for sequence in $sequences
+do 
+#   echo "v: $sequence $cnt"
+   if ! [ $sequence -eq $olds ]
+   then 
+       if [ $cnt -gt 10 ]
+       then 
+          echo "seq: $olds $cnt"
+       fi
+       olds=$sequence
+       cnt=0
+   fi
+   cnt=`echo $cnt + 1 | bc`
+done
